CC       = gcc -g
CPP      = 
FC       = gfortran -g
LD       = gfortran -g
#
AR       = ar -r
#
DFLAGS   =  -D__LIBINT -D__LIBINT_MAX_AM=6 -D__LIBDERIV_MAX_AM1=5 -D__FFTW3 -D__LIBXC -D__MKL
#
CPPFLAGS = -C $(DFLAGS) -traditional -I/usr/include
#
CFLAGS   = $(DFLAGS) -I$(MKLROOT)/include/intel64/lp64 -I$(MKLROOT)/include -I/usr/include \
		   -O2 -march=haswell -mtune=haswell
#
FCFLAGS  = $(DFLAGS) -I$(MKLROOT)/include/intel64/lp64 -I$(MKLROOT)/include -I/usr/include \
		   -O2 -g -Wall -Wextra -Warray-temporaries -Wconversion -fimplicit-none -fbacktrace -ffree-line-length-0 -fcheck=all -ffpe-trap=zero,overflow,underflow -finit-real=nan -ffree-line-length-none -ffree-form
#
LDFLAGS  = $(FCFLAGS)
#
LIBS     = -L/usr/lib -lfftw3 -lxcf90 -lxc -lderiv -lint \
            -L$(MKLROOT)/lib/intel64 -lmkl_gf_lp64 -lmkl_sequential -lmkl_core \
            -lstdc++ -lpthread -lm -ldl
            
